package com.alibaba.druid.sql.dialect.oracle.ast;

import com.alibaba.druid.sql.ast.SQLName;
import com.alibaba.druid.sql.ast.SQLObject;

public interface OracleSegmentAttributes extends SQLObject {
   SQLName getTablespace();

   void setTablespace(SQLName var1);

   Boolean getCompress();

   void setCompress(Boolean var1);

   Integer getCompressLevel();

   void setCompressLevel(Integer var1);

   Integer getInitrans();

   void setInitrans(Integer var1);

   Integer getMaxtrans();

   void setMaxtrans(Integer var1);

   Integer getPctincrease();

   void setPctincrease(Integer var1);

   Integer getPctused();

   void setPctused(Integer var1);

   Integer getPctfree();

   void setPctfree(Integer var1);

   Boolean getLogging();

   void setLogging(Boolean var1);

   SQLObject getStorage();

   void setStorage(SQLObject var1);

   boolean isCompressForOltp();

   void setCompressForOltp(boolean var1);
}
